package crontask

import "wechat-api/internal/service/wechat"

type ResponseItem struct {
	DataIndex string   `json:"dataIndex"`
	Value     []string `json:"value"`
}

type FieldPropsOptions struct {
	Label string `json:"label"`
	Value string `json:"value"`
}

type FieldProps struct {
	Options []FieldPropsOptions `json:"options"`
}

type FormData struct {
	Title      string     `json:"title"`
	DataIndex  string     `json:"dataIndex"`
	ValueType  string     `json:"valueType"`
	FieldProps FieldProps `json:"fieldProps"`
}

func (l *CronTask) analyze(bot_wxid *string) {
	wechat.NewAnalyzeContactField(l.ctx, l.svcCtx).Analyze(bot_wxid, nil)
}
