package MessageHandlers

import (
	"wechat-api/internal/service/MessageHandlers/wecom"
	"wechat-api/internal/svc"
)

func GetWecomStrategies() map[string]func(*svc.ServiceContext) MessageHandlerStrategy {
	return map[string]func(*svc.ServiceContext) MessageHandlerStrategy{
		"TaskResultNotice":    toStrategy(NewTaskResultNoticeHandler),
		"CustomerPushNotice":  toStrategy(wecom.NewCustomerPushNoticeHandler),
		"UserLabelPushNotice": toStrategy(wecom.NewUserLabelPushNotice),
	}
}
