package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

type TeamMembers struct {
	ID          primitive.ObjectID `bson:"_id,omitempty" json:"id,omitempty"`
	TeamID      primitive.ObjectID `bson:"teamId,omitempty" json:"teamId,omitempty"`
	UserID      primitive.ObjectID `bson:"userId,omitempty" json:"userId,omitempty"`
	Name        string             `bson:"name,omitempty" json:"name,omitempty"`
	Role        string             `bson:"role,omitempty" json:"role,omitempty"`
	Status      string             `bson:"status,omitempty" json:"status,omitempty"`
	CreateTime  time.Time          `bson:"createTime,omitempty" json:"createTime,omitempty"`
	DefaultTeam bool               `bson:"defaultTeam,omitempty" json:"defaultTeam,omitempty"`
	Version     int32              `bson:"__v,omitempty" json:"version,omitempty"`
}
