package model

import (
	"go.mongodb.org/mongo-driver/bson/primitive"
)

type Users struct {
	ID            primitive.ObjectID `bson:"_id,omitempty" json:"id,omitempty"`
	Status        string             `bson:"status" json:"status"`
	Username      string             `bson:"username" json:"username"`
	Password      string             `bson:"password" json:"password"`
	Avatar        string             `bson:"avatar" json:"avatar"`
	Balance       int32              `bson:"balance" json:"balance"`
	PromotionRate int32              `bson:"promotionRate" json:"promotionRate"`
	Timezone      string             `bson:"timezone" json:"timezone"`
}
